## aptdaemon 0.31+bzr413

=== debian/changelog ===
aptdaemon (0.31+bzr413-1.1+deb6u2) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * Fix syntax error with Python 2.5 introduced by former security fix
    (due to usage of the with statement). Closes: #791469

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 06 Jul 2015 09:52:49 +0200

aptdaemon (0.31+bzr413-1.1+deb6u1) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * Fix information leak via simulate dbus method (CVE-2015-1323).
    Closes: #789162

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 30 Jun 2015 11:20:06 +0200

aptdaemon (0.31+bzr413-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Make python-aptdaemon depend on python-pkg-resources (Closes: #603662).
    Setting urgency to "high" for the RC bug fix.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 27 Nov 2010 23:26:30 +0100

aptdaemon (0.31+bzr413-1) unstable; urgency=low

  * Merge with Ubuntu, remaining differences:
    - debian/copyright uses DEP-5 format.
    - debian/source/format: Set to "3.0 (quilt)".
    - debian/rules: Use debhelper 7 instead of quilt
    - debian/watch: Added watch file.
    - debian/control: Reindent, Vcs, Maintainer changes.
  * debian/patches/03_auth_me_less.patch: Change patch level to 1.

 -- Julian Andres Klode <jak@debian.org>  Sun, 06 Jun 2010 14:30:27 +0200

aptdaemon (0.31+bzr412-0ubuntu1) maverick; urgency=low

  * New bzr snapshot that improves the gtk progress widget

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 31 May 2010 15:03:56 +0200

aptdaemon (0.31+bzr403-0ubuntu1) maverick; urgency=low

  * First release of the new 0.3X development branch
  * debian/patches:
    - Remove 01_enable_component: Merged upstream
    - Remove 02_fix_errback: Merged upstream
    - Remove 04_caution_is_good: Merged upstream
    - Remove 05_conffile_not_exists: Merged upstream
    - Update 03_auth_me_less: Remove cherry-picked PolicyKit enhancements
  * aptdaemon.install: Ship the man pages
  * control: Fix location of vcs

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Tue, 25 May 2010 12:09:50 +0200

aptdaemon (0.11+bzr345-0ubuntu4) lucid; urgency=low

  * debian/patches/04_caution_is_good.patch
      - cherry pick fix from trunk to prevent removal of essenial
        or required packages (LP: #561018)
  * debian/patches/05_conffile_not_exists.patch:
    - Do not fail on not available files (LP: #563504)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Apr 2010 22:09:03 +0200

aptdaemon (0.11+bzr345-0ubuntu3) lucid; urgency=low

  * debian/patches/03_auth_me_less.patch:
    - require only a single authentication prompt when adding
      a repository and installing immediately from it
      (thanks to Sebastian Heinlein)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 01 Apr 2010 17:34:12 +0200

aptdaemon (0.11+bzr345-0ubuntu2) lucid; urgency=low

  * debian/patches/02_fix_errback.patch:
    - fix error handling from policykit (LP: #530393)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 01 Apr 2010 08:52:21 +0200

aptdaemon (0.11+bzr345-0ubuntu1) lucid; urgency=low

  * New snapshot that fixes crashes in AddRepository and
    DpkgRecovery

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Mar 2010 10:43:22 +0200

aptdaemon (0.11+bzr343-1) unstable; urgency=low

  * New upstream snapshot.
  * 01_unused_removal.patch: Drop, merged upstream.
  * debian/aptdaemon.install: Install the manpages.
  * debian/control: breaks software-center (<< 1.1.21)
  * python-apt-08api.diff: Port to new python-apt API (Closes: #572071)

 -- Julian Andres Klode <jak@debian.org>  Mon, 29 Mar 2010 13:44:55 +0200

aptdaemon (0.11+bzr342-0ubuntu2) lucid; urgency=low

  * debian/patches/01_enable_component.patch:
    - add missing EnableComponents call to fix bug when
      components are referenced but not enabled

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Mar 2010 16:19:38 +0200

aptdaemon (0.11+bzr342-0ubuntu1) lucid; urgency=low

  * New snapshot release based on the stable branch
    - fixes debconf race condition (LP: #455861)
    - should fix freeze in software-center (LP: #544424)
  * .bzr-builddeb/default.conf:
    - updatd to point at the stable 0.2.x branch
  * debian/patches/01_unused_removal.patch:
    - removed, taken upstream
  * debian/patches/02_fix-455861.patch:
    - removed, taken upstream

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Mar 2010 10:15:37 +0100

aptdaemon (0.11+bzr322-1) unstable; urgency=low

  * New upstream snapshot.
  * Merge debian/patches/series from Ubuntu:
    - add 01_unused_removal.patch to allow removal of no longer
      used dependencies on removal
  * debian/control: add break on software-center (from Ubuntu)
  * Update Standards-Version to 3.8.4.

 -- Julian Andres Klode <jak@debian.org>  Tue, 02 Feb 2010 16:14:55 +0100

aptdaemon (0.11+bzr322-0ubuntu2) lucid; urgency=low

  * debian/patches/02_fix-455861.patch:
    - merge patch from james_w to fix race in debconf socket
      code (many thanks) LP: #455861

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Mar 2010 17:17:53 +0100

aptdaemon (0.11+bzr322-0ubuntu1) lucid; urgency=low

  * New git snapshot
  * debian/patches/series:
    - add 01_unused_removal.patch to allow removal of no longer
      used dependencies on removal

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Jan 2010 12:59:14 +0100

aptdaemon (0.11+bzr319-0ubuntu1) lucid; urgency=low

  * New git snapshot
    - support generic meta-data for a transaction (LP: #493775)
    - improvements to the gtk widgets
    - bugfixes
  * debian/control:
    - add break on software-center

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Dec 2009 11:33:47 +0100

aptdaemon (0.11+bzr297-0ubuntu1) lucid; urgency=low

  * New git snapshot, API improvements
  * debian/control:
    - update Vcs-Bzr branch to point to "ubuntu-lucid"
  * debian/patches/aptd-sbin.patch,
    debian/patches/aptd_http_proxy.patch:
    - removed, taken upstream


