=== debian/control ===
Source: aptdaemon
Section: admin
Priority: extra
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 7.3),
               python,
               python-central (>= 0.5),
               python-setuptools,
               python-distutils-extra
Standards-Version: 3.8.4
Homepage: https://launchpad.net/aptdaemon
Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/apt/aptdaemon/debian-sid
Vcs-Browser: http://bzr.debian.org/loggerhead/apt/aptdaemon/debian-sid
XS-Python-Version: >= 2.5

Package: aptdaemon
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-aptdaemon (= ${binary:Version})
XB-Python-Version: ${python:Versions}
Breaks: software-center (<< 1.1.21)
Description: transaction based package management service
 Aptdaemon allows normal users to perform package management tasks, e.g. 
 refreshing the cache, upgrading the system, installing or removing software 
 packages.
 .
 Currently it comes with the following main features:
 .
  - Programming language independent D-Bus interface, which allows to
    write clients in several languages
  - Runs only if required (D-Bus activation)
  - Fine grained privilege management using PolicyKit, e.g. allowing all
    desktop user to query for updates without entering a password
  - Support for media changes during installation from DVD/CDROM
  - Support for debconf (Debian's package configuration system)
  - Support for attaching a terminal to the underlying dpkg call
 .
 This package contains the aptd script and all the data files required to run
 the daemon. Moreover it contains the aptdcon script, which is a command
 line client for aptdaemon. The API is not stable yet.

Package: python-aptdaemon
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-apt (>= 0.7.93),
         python-gobject,
         python-software-properties,
         python-pkg-resources,
         policykit-1
Recommends: aptdaemon
XB-Python-Version: ${python:Versions}
Description: Python module for the server and client of aptdaemon
 Aptdaemon is a transaction based package management service. It allows 
 normal users to perform package management tasks, e.g. refreshing the 
 cache, upgrading the system, installing or removing software packages.
 .
 This package provides the Python modules required to run aptdaemon
 and to implement a client. The API is not stable yet.

Package: python-aptdaemon-gtk
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-aptdaemon (= ${binary:Version}),
         python-gtk2,
         python-vte
XB-Python-Version: ${python:Versions}
Description: Python GTK+ widgets to run an aptdaemon client
 Aptdaemon is a transaction based package management daemon. It allows 
 normal users to perform package management tasks, e.g. refreshing the 
 cache, upgrading the system, installing or removing software packages.
 .
 This package provides the Python GTK+ widgets to implement a fully working
 graphical client. The widgets can be used to initiate, to monitor and
 to control a transaction. The API is not stable yet.
