=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with=python-central $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build *.egg-info po/aptdaemon.pot
