## aptdaemon 0.31+bzr506

=== debian/changelog ===
aptdaemon (0.31+bzr506-0ubuntu2) maverick; urgency=low

  * 07_fix-race-597017.patch:
    - fix race in locking by backporting the relevant bits from
      lp:aptdaemon/trunk (thanks to Sebastian Heinlein)
      (LP: #597017)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Oct 2010 18:04:52 +0200

aptdaemon (0.31+bzr506-0ubuntu1) maverick; urgency=low

  * fix incorrect error message on failed key adding
  * fix crash when sys.stdin.encoding returns None
  * fix gettext string (thanks Gabor)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Sep 2010 22:55:21 +0200

aptdaemon (0.31+bzr503-0ubuntu1) maverick; urgency=low

  * merge fixes from bzr:
    - allow purge of removed files with conffiles left
    - fix bug when deferable is called with sync=True
    - use wait=False in enable_distro component
    - Fix local dpkg installation from unicode pathes by 
      converting the strings to UTF-8
    - fix potential exception in wait=True, defer=True calls

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Sep 2010 09:11:50 +0200

aptdaemon (0.31+bzr496-0ubuntu1) maverick; urgency=low

  * merge fixes from bzr:
    - fix for aptdaemon.client.get_transaction()
    - autodetect if "defer" is needed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Sep 2010 10:23:34 +0200

aptdaemon (0.31+bzr493-0ubuntu1) maverick; urgency=low

  * new bzr snapshot:
    - makes 03_auth_me_less.patch no longer needed (applied upstream)
    - improvements to the policykit privs
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Sep 2010 17:25:30 +0200

aptdaemon (0.31+bzr488-0ubuntu1) maverick; urgency=low

  * new bzr snapshot:
    - makes 07_i18n_fixes.patch no longer needed (applied upstream)
    - supports partial cache update (important fix for the buy-something
      use case)
    - fix missing (untranslated) role strings
  * debian/control:
    - depend on the right python-apt version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Sep 2010 11:39:45 +0200

aptdaemon (0.31+bzr487-0ubuntu1) maverick; urgency=low

  * new bzr snapshot:
    -  makes 07_i18n_fixes.patch no longer needed (applied upstream)
    - supports partial cache update (important fix for the buy-something
      use case)
    - fix missing (untranslated) role strings
  * debian/control:
    - depend on the right python-apt version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Sep 2010 17:10:24 +0200

aptdaemon (0.31+bzr476-0ubuntu2) maverick; urgency=low

  * debian/patches/07_i18n_fixes.patch: 
    - use dgettext to not clobber the clients gettext.textdomain
      on import (LP: #631675)
  * debian/patches/05_sources_list_password.patch: 
    - when adding a sources.list entry with a password protect
      the file via mode 0640 and root.admin ownership

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Sep 2010 09:38:31 +0200

aptdaemon (0.31+bzr476-0ubuntu1) maverick; urgency=low

  * new bzr snapshot that fixes missing i18n in the policykit
    descriptions (LP: #625409)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 Aug 2010 22:27:29 +0200

aptdaemon (0.31+bzr474-0ubuntu1) maverick; urgency=low

  * new bzr snapshot that fixes some locking issues (LP: #616470)
  * debian/python-aptdaemon.install:
    - add lock.py to the installed files

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Aug 2010 16:50:28 +0200

aptdaemon (0.31+bzr468-0ubuntu1) maverick; urgency=low

  * new bzr snapshot that fixes authentication timeout problem
    (LP: #623424), big thanks to Sebastian Heinlein

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Aug 2010 20:49:32 +0200

aptdaemon (0.31+bzr466-0ubuntu1) maverick; urgency=low

  * .bzr-builddeb/default.conf:
    - switch to lp:~aptdaemon-developers/aptdaemon/0.3
  * new bzr snapshot from the 0.3 stable branch:
    - simplify/improved policykit priviligies

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Aug 2010 09:00:36 +0200

aptdaemon (0.31+bzr449-0ubuntu2) maverick; urgency=low

  * debian/patches/06_rosetta_po_update.patch:
    - updated translations from rosetta for the policy.in
      file (LP: #445603)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Aug 2010 11:10:24 +0200

aptdaemon (0.31+bzr449-0ubuntu1) maverick; urgency=low

  * new bzr snapshot that fixes two crashes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Aug 2010 14:58:42 +0200

aptdaemon (0.31+bzr447-0ubuntu1) maverick; urgency=low

  * new bzr snapshot
  * drop 01_vendor-keys-download.patch, taken upstream

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Jul 2010 08:45:23 +0200

aptdaemon (0.31+bzr427-0ubuntu1) maverick; urgency=low

  * new bzr snapshot
  * debian/patches/03_auth_me_less.patch:
    - updated to include less auth for adding buy-something repos

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Jul 2010 09:46:15 +0200

aptdaemon (0.31+bzr416-0ubuntu1) maverick; urgency=low

  * updated to current bzr
    - fixes STAT_FAILED vs STAT_ERROR crash
  * debian/patches/01_vendor-keys-download.patch:
    - add changes from lp:~mvo/aptdaemon/download-vendor-keys
      to support downloading repository vendor keys via https
  * debian/patches/03_auth_me_less.patch: 
    - updated to current code
  * debian/control:
    - use DH_CENTRAL=include-links

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 02 Jul 2010 10:28:33 +0200
