=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: aptdaemon
 Section: admin
 Priority: extra
-Maintainer: Julian Andres Klode <jak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper (>= 7.3),
                python,
                python-central (>= 0.5),
@@ -9,8 +10,8 @@
                python-distutils-extra
 Standards-Version: 3.8.4
 Homepage: https://launchpad.net/aptdaemon
-Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/apt/aptdaemon/debian-sid
-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/aptdaemon/debian-sid
+Vcs-Bzr: lp:~aptdaemon-developers/aptdaemon/ubuntu-maverick
+Vcs-Browser: https://code.launchpad.net/~aptdaemon-developers/aptdaemon/ubuntu-maverick
 XS-Python-Version: >= 2.5
 
 Package: aptdaemon
@@ -46,10 +47,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         python-apt (>= 0.7.93),
+         python-apt (>= 0.7.96.1ubuntu9),
          python-gobject,
          python-software-properties,
-         python-pkg-resources,
          policykit-1
 Recommends: aptdaemon
 XB-Python-Version: ${python:Versions}
