=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_PYCENTRAL=include-links
 
 %:
 	dh --with=python-central $@
