## aptdaemon 0.41+bzr646

=== debian/changelog ===
aptdaemon (0.41+bzr646-0ubuntu2) natty; urgency=low

  * debian/patches/01_fix_locking.patch: 
    - cherry pick from evfool, many thanks (LP: #764422)
  * debian/patches/02_fix_crash_on_dpkg_disappear.patch:
    - add (empty) mapping the apt progress message that is triggered
      when a empty package disappears 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Apr 2011 13:48:38 +0200

aptdaemon (0.41+bzr646-0ubuntu1) natty; urgency=low

  * New bzr bugfix snapshot:
    - fix crash in wait_for_lock (LP: #763642)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Apr 2011 09:25:51 +0200

aptdaemon (0.41+bzr645-0ubuntu1) natty; urgency=low

  * New bzr bugfix snapshot:
    - fix state of queue transactions (LP: #702442)
    - unify cache open (LP: #694505)
    - relax lintian check on libc (for lsb)
    - catch overflow errors (LP: #758837)
  * debian/lintian-{fatal,nonfatal}.tag.Ubuntu:
    - rename from "tag" to "tags" so that they actually get applied
      (LP: #712377)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2011 13:57:10 +0200

aptdaemon (0.41+bzr641-0ubuntu1) natty; urgency=low

  * debian/lintian-nonfatal.tag.Ubuntu:
    - relax checks more (LP: #756649)
    - relax libc check, not valid for e.g. lsb packages
    - call cache.open() after cache.update()
    - utf8 fixes (LP: #736507)
    - lock fixes 
    - fix cdrom medium detection (LP: #755655)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Apr 2011 16:31:39 +0200

aptdaemon (0.41+bzr629-0ubuntu1) natty; urgency=low

  * New bzr bugfix snapshot:
    - improve utf8 encoding handling tests
    - lp:~mvo/aptdaemon/relax-lintian-checks merged
    - improve terminal handling, LP: #741260, #693290, #741260,  
      #738056,  #742780, #743818, #744444, #746727, #747539, #753700,
      #753762, #753927, #754134, #754174, #754205, #754206, #754220
    - fix refactoring lefovers (LP: #752220)
    - don't segfault if we cannot read the status of the process holding 
      a lock (LP: #745517)
  * debian/patches/01_relax_lintian_checks.patch:
    - removed, taken upstream
  * debian/patches/02_fix_unicode_in_convert_struct.patch:
    - removed, taken usptream
  * debian/patches/04_import_logging.patch:
    - removed, fixed usptream

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Apr 2011 13:25:49 +0200

aptdaemon (0.41+bzr614-0ubuntu3) natty; urgency=low

  * debian/patches/04_import_logging.patch:
    - Import logging to resolve undefined name. (LP: #752220)

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 08 Apr 2011 18:36:22 -0400

aptdaemon (0.41+bzr614-0ubuntu2) natty; urgency=low

  * debian/patches/02_fix_unicode_in_convert_struct.patch:
    - Decode non-unicode strings in _convert_struct (LP: #736507)
  * debian/patches/03_do_not_close_invalid_fd.patch:
    - Do not close invalid streams (LP: #741370)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 07 Apr 2011 10:02:21 +0200

aptdaemon (0.41+bzr614-0ubuntu1) natty; urgency=low

  * New bzr bugfix snapshot:
    - fix i18n crash (LP: #724735)
    - Allow to specify package names with an architecture 
      (for multiarch)
    - Client: Exit the transaction processing if there has been an 
      error
    - Make the run method of the GTK2 progress dialog deferable
      (LP: #626798)
  * debian/patches/01_relax_lintian_checks.patch:
    - add lp:~mvo/aptdaemon/relax-lintian-checks as distro patch
      until upstream (LP: #712377)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Apr 2011 16:31:37 +0200

aptdaemon (0.41+bzr604-0ubuntu1) natty; urgency=low

  * New bzr bugfix snapshot:
    - fix fix typo (LP: #733732), thanks to seb128
    - Fix variable name in the Finished signal
    - Don't raise an error if trying to close an already closed fd
    - Open the controlling terminal already at the SetTerminal call time
    - bugfix in the apt config parser
  * debian/patches/disable_config_parser_test.patch:
    - removed, this is properly fixed now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Mar 2011 15:44:07 +0100

aptdaemon (0.41+bzr597-0ubuntu1) natty; urgency=low

  * New upstream bzr snapshot:
    - data/org.debian.apt.policy.in: Drop gettext domain field, it will be
      added during package build. (LP #690270 upstream task)
  * debian/control, debian/rules: Build with dh_translations. (LP: #690270)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 17 Mar 2011 12:30:25 +0100

aptdaemon (0.41+bzr595-0ubuntu1) natty; urgency=low

  * New upstream bzr snapshot:
    - fix installing local debs (LP: #702217)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Mar 2011 08:52:55 +0100

aptdaemon (0.41+bzr594-0ubuntu1) natty; urgency=low

  * New upstream bzr snapshot:
    - Show details about broken dependencies
    - Call waitpid after reading the output from lintian to avoid interrupted
      system calls on systems under heavy load
    - aptdaemon/worker.py, tests/test_client.py: fix crash in
      enable_distro_component and add test, update docstring (and fix
      docstring for remove_vendor_key along the way)
    - aptdaemon/worker.py, tests/test_client.py: fix crash in
      client.add_repository(), add test for client.add_repository(), refactor
      test for enable_component() to make it more generic
    - gtk3widgets.py: Fix require_version usage.
  * debian/control: Add appropriate python-gobject dependency to
    python-aptdaemon.gtk3widgets, to ensure availability of PyGI.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Mar 2011 17:31:24 +0100

aptdaemon (0.41+bzr586-0ubuntu2) natty; urgency=low

  * debian/control: Add proper Conflicts:/Replaces: to avoid file overwrite
    error on upgrades. (LP: #724683)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 25 Feb 2011 09:29:02 +0100

aptdaemon (0.41+bzr586-0ubuntu1) natty; urgency=low

  * new bzr snapshot that contains a security fix for 
    LP: #722228
  * support for set-candidate-release added
  * debian/control:

