## aptdaemon 0.41+bzr661

=== debian/changelog ===
aptdaemon (0.41+bzr661-0ubuntu0.2) natty-security; urgency=low

  * SECURITY UPDATE: unauthenticated package installation (LP: #959131)
    - debian/patches/04_CVE-2012-0944.patch: properly handle
      unauthenticated packages in aptdaemon/worker.py.
    - CVE-2012-0944

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Mar 2012 13:54:38 -0400

aptdaemon (0.41+bzr661-0ubuntu0.1) natty-proposed; urgency=low

  [ Michael Vogt ]
  * new bzr bugfix snapshot from the upstream branch
  * drop debian/patches/fix_lp_781874.patch,
    drop debian/patches/01_fix_locking.patch
    drop debian/patches/03_do_not_close_invalid_fd.patch
    drop/debian/patches/04_check_if_apport_enabled.patch:
    - this is included in the upstream bzr branch now
  * debian/patches/02_fix_crash_on_dpkg_disappear.patch:
    - use empty string when dpkg notices a disappearing package,
      this avoids string break

  [ Sebastian Heinlein ]
  * fix bug when canceling a transaction (LP: #781874)
  * fix FD leak (LP: #742935)
  * fix crash when dbus exceptions have unicode messages (LP: #761386)  
  * add (empty) mapping the apt progress message that is triggered
    when a empty package disappears 

  [ Gabor Kelemen ]
  * Add missing files to POTFILES.in, fixes LP: #786500 
  
  [ Brian Murray ]
  * aptdaemon/crash.py: 
    - title attachments Traceback to be consistent with apport
  * aptdaemon/crash.py: 
    - only create crash reports if apport is enabled

 -- Michael Vogt <mvo@ubuntu.com>  Tue, 19 Apr 2011 08:52:09 +0200

aptdaemon (0.41+bzr646-0ubuntu2.1) natty-proposed; urgency=low

  * Check if apport is enabled before writing a crash report (LP: #797847)

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 Aug 2011 15:12:44 -0700
