=== debian/control ===
--- 
+++ 
@@ -4,21 +4,29 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper (>= 7.3),
+               dh-translations,
+               dbus,
                python,
-               python-central (>= 0.5),
                python-setuptools,
-               python-distutils-extra
-Standards-Version: 3.8.4
+               python-distutils-extra,
+               python-apt (>= 0.7.96.1ubuntu9),
+               python-debian,
+               python-defer,
+               python-dbus,
+               python-gobject,
+               python-software-properties
+Standards-Version: 3.9.1
 Homepage: https://launchpad.net/aptdaemon
-Vcs-Bzr: lp:~aptdaemon-developers/aptdaemon/ubuntu-maverick
-Vcs-Browser: https://code.launchpad.net/~aptdaemon-developers/aptdaemon/ubuntu-maverick
-XS-Python-Version: >= 2.5
+Vcs-Bzr: lp:~aptdaemon-developers/aptdaemon/ubuntu-natty
+Vcs-Browser: https://code.launchpad.net/~aptdaemon-developers/aptdaemon/ubuntu-natty
+XS-Python-Version: >= 2.7
 
 Package: aptdaemon
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
          python-aptdaemon (= ${binary:Version})
+Recommends: lintian
 XB-Python-Version: ${python:Versions}
 Breaks: software-center (<< 1.1.21)
 Description: transaction based package management service
@@ -48,6 +56,9 @@
          ${misc:Depends},
          ${python:Depends},
          python-apt (>= 0.7.96.1ubuntu9),
+         python-debian,
+         python-defer,
+         python-dbus,
          python-gobject,
          python-software-properties,
          policykit-1
@@ -61,7 +72,57 @@
  This package provides the Python modules required to run aptdaemon
  and to implement a client. The API is not stable yet.
 
+Package: python-aptdaemon.test
+Architecture: all
+Section: python
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends},
+         python-aptdaemon (= ${binary:Version}),
+XB-Python-Version: ${python:Versions}
+Description: Test environment for aptdaemon clients
+ Aptdaemon is a transaction based package management daemon. It allows 
+ normal users to perform package management tasks, e.g. refreshing the 
+ cache, upgrading the system, installing or removing software packages.
+ .
+ This package provides the aptdaemon.test module and several helper
+ scripts and a test repository to write unittests for aptdaemon
+ clients.
+
+Package: aptdaemon-data
+Architecture: all
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: python-aptdaemon-gtk (<= 0.41+bzr580-0ubuntu1)
+Description: data files for clients
+ Aptdaemon is a transaction based package management daemon. It allows 
+ normal users to perform package management tasks, e.g. refreshing the 
+ cache, upgrading the system, installing or removing software packages.
+ .
+ This package provides common data files (e.g. icons) for aptdaemon
+ clients.
+ 
 Package: python-aptdaemon-gtk
+Architecture: all
+Section: python
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends},
+         python-aptdaemon.gtkwidgets (= ${binary:Version}),
+         python-aptdaemon.gtk3widgets (= ${binary:Version})
+XB-Python-Version: ${python:Versions}
+Description: Transitional dummy package
+ Aptdaemon is a transaction based package management daemon. It allows 
+ normal users to perform package management tasks, e.g. refreshing the 
+ cache, upgrading the system, installing or removing software packages.
+ .
+ This is a transitional dummy package to ease the migration
+ from the python-aptdaemon-gtk to the new python-aptdaemon.gtk(3)widgets
+ packages.
+ .
+ You can remove it safely.
+
+Package: python-aptdaemon.gtkwidgets
 Architecture: all
 Section: python
 Depends: ${shlibs:Depends},
@@ -69,9 +130,12 @@
          ${python:Depends},
          python-aptdaemon (= ${binary:Version}),
          python-gtk2,
-         python-vte
+         python-vte,
+         aptdaemon-data
+Conflicts: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
+Replaces: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
 XB-Python-Version: ${python:Versions}
-Description: Python GTK+ widgets to run an aptdaemon client
+Description: Python GTK+ 2 widgets to run an aptdaemon client
  Aptdaemon is a transaction based package management daemon. It allows 
  normal users to perform package management tasks, e.g. refreshing the 
  cache, upgrading the system, installing or removing software packages.
@@ -79,3 +143,26 @@
  This package provides the Python GTK+ widgets to implement a fully working
  graphical client. The widgets can be used to initiate, to monitor and
  to control a transaction. The API is not stable yet.
+
+Package: python-aptdaemon.gtk3widgets
+Architecture: all
+Section: python
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends},
+         python-aptdaemon (= ${binary:Version}),
+         python-gobject (>= 2.27.91),
+         gir1.2-gtk-2.0 | gir1.2-gtk-3.0,
+         gir1.2-vte-0.0 | gir1.2-vte-2.90,
+         aptdaemon-data
+Conflicts: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
+Replaces: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
+XB-Python-Version: ${python:Versions}
+Description: Python GTK+ 3 widgets to run an aptdaemon client
+ Aptdaemon is a transaction based package management daemon. It allows 
+ normal users to perform package management tasks, e.g. refreshing the 
+ cache, upgrading the system, installing or removing software packages.
+ .
+ This package provides the Python GTK+ 3 widgets to implement a fully
+ working graphical client. The widgets can be used to initiate, to
+ monitor and to control a transaction. The API is not stable yet.
