## aptdaemon 0.43+bzr697

=== debian/changelog ===
aptdaemon (0.43+bzr697-0ubuntu1.3) oneiric-security; urgency=low

  * SECURITY UPDATE: check downloaded keyid (LP: #1052789)
    - CVE-2012-0962

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Oct 2012 16:20:20 +0200

aptdaemon (0.43+bzr697-0ubuntu1.2) oneiric-security; urgency=low

  * SECURITY UPDATE: unauthenticated package installation (LP: #959131)
    - debian/patches/04_CVE-2012-0944.patch: properly handle
      unauthenticated packages in aptdaemon/worker.py.
    - CVE-2012-0944
  * This package does _not_ contain the changes from 0.43+bzr697-0ubuntu1.1
    in oneiric-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Mar 2012 13:46:00 -0400

aptdaemon (0.43+bzr697-0ubuntu1) oneiric; urgency=low

  * debian/patches/03_additional_resolve_run.patch:
    - do an additional resolver run to ensure that autoremove does
      not leave the cache inconsistent (LP: #659111)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Sep 2011 13:36:53 +0200

aptdaemon (0.43+bzr697) oneiric; urgency=low

  * New bzr bugfix version:
    - Don't block on lintian calls to avoid time outs on the DBus 
      by making use of the excellent preexec_fn of subprocess
      (LP: #812023)
    - pyflakes based import fixes, this fixes a unneeded glib import
      that can cause crashes with gtk2/gtk3 (pygtk/pygi)
    - use the deprecated message attribute to avoid encoding errors
      (LP: #846044)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Sep 2011 14:01:15 +0200

aptdaemon (0.43+bzr695) oneiric; urgency=low

  * New bzr snapshot:
    - Don't track valid DBusException sent to the client by apport
    - Make TransactionProgressDialog.run() method deferable
    - Unset the apt-listbugs frontend in non-interactive mode
    - Workaround a bug in apt's ListUpdate which doesn't handle 
      cancellation properly
  * debian/changelog: Fix a typo in the previous log entry

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Sep 2011 15:48:01 +0200

aptdaemon (0.43+bzr691) oneiric; urgency=low

  * New bzr snapshot:
    - Fix integer overflows in the ProgressDetails property (LP: #827677,
      LP: #834104) by switching to dbus.Double and dbus.Int64
    - Fix apport crash reports on dpkg failure (LP: #799982)

 -- Sebastian Heinlein <devel@glatzor.de>  Fri, 26 Aug 2011 15:22:19 +0200

aptdaemon (0.43+bzr686) oneiric; urgency=low

  * New bzr snapshot:
    - Improve apport integration by adding a package hook and only sending
      reports if running as a system service
    - Fix default values for ProgressDetails signal
    - Fixes to the test suite
    - More debugging output to help resolve DBus type conversion/overflow
      errors
  * debian/aptdaemon.install:
    - Ship apport package hook
    - Ship desktop file to provide a nicer name in apport dialogs
  * debian/control:
    - Add missing dependency on python-pkg-resources to python-aptdaemon
      (LP: #788121)

 -- Sebastian Heinlein <devel@glatzor.de>  Fri, 26 Aug 2011 08:13:42 +0200

aptdaemon (0.43+bzr676-0ubuntu1) oneiric; urgency=low

  * new bzr snapshot:
    - Make the handling of exceptions in the forked child process
      more robust
    - Fix showing the header of the translation (.mo file) 
      if we try to translate an empty string

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Aug 2011 10:30:13 +0200

aptdaemon (0.43+bzr674-0ubuntu1) oneiric; urgency=low

  * new bzr snapshot:
    - add /var/log/apt/history.log integration
    - switch bytes_{done,total} to 64bit to follow a change in apt 
      (LP: #825468)
    - fix multiarch names (LP: #828898, LP: #828162)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Aug 2011 11:29:50 +0200

aptdaemon (0.43+bzr670-0ubuntu1) oneiric; urgency=low

  * New bzr snapshot: Fix previous patch to only use GObject when actually
    using GI.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2011 13:58:17 +0200

aptdaemon (0.43+bzr669-0ubuntu1) oneiric; urgency=low

  * New bzr snapshot: Move from static gobject to GI GObject module, to be
    compatible to upcoming pygobject 3.0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2011 08:11:43 +0200

aptdaemon (0.43+bzr666-0ubuntu1) oneiric; urgency=low

  * new bzr snapshot:
    - fix LP: #818521
    - prepare for py3
    - fix crash in _parse_localename() (LP: #825056)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Aug 2011 11:13:32 +0200

aptdaemon (0.43+bzr663-0ubuntu1) oneiric; urgency=low

  * New bzr snapshot add adds a RebootRequiered property

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 28 Jul 2011 16:44:12 +0200

aptdaemon (0.43+bzr662-0ubuntu1) oneiric; urgency=low

  * New bzr snapshot
  * debian/patches/01_add_dpkg_untranslated_messages_env.patch:
    - add DPKG_UNTRANSLATED_MESSAGES environment in the child
      to force untranslated dpkg messages for easier bug duplication
      detection

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Jun 2011 10:01:10 +0100

aptdaemon (0.43+bzr660-0ubuntu1) oneiric; urgency=low

  * New bzr snapshot, this will improve the quality of the 
    apport pkgfailure reports

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jun 2011 11:34:50 +0200

aptdaemon (0.41+bzr658-0ubuntu2) oneiric; urgency=low

  * debian/control: Drop GTK2 GIR dependencies, only use GTK 3 now.
  * debian/control: Drop lintian recommends. It's too heavy for a default
    install (pulling in dpkg-dev, build-essential, g++, lots of Perl, and
    associated helper tools like diffstat). This will be replaced with
    aptdaemon or software-center installing lintian when you add a third-party
    repository. (UbuntuSpec:desktop-o-cdspace)
  * debian/control: Fix "allows to" grammar error, thanks lintian.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 31 May 2011 10:54:29 +0200

aptdaemon (0.41+bzr658-0ubuntu1) oneiric; urgency=low

  * New bzr snapshot, this fixes (LP: #781874)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 May 2011 11:48:39 +0200


