=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
                python-software-properties
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/aptdaemon
-Vcs-Bzr: lp:~aptdaemon-developers/aptdaemon/ubuntu-natty
-Vcs-Browser: https://code.launchpad.net/~aptdaemon-developers/aptdaemon/ubuntu-natty
+Vcs-Bzr: lp:~aptdaemon-developers/aptdaemon/ubuntu-oneiric
+Vcs-Browser: https://code.launchpad.net/~aptdaemon-developers/aptdaemon/ubuntu-oneiric
 XS-Python-Version: >= 2.7
 
 Package: aptdaemon
@@ -26,7 +26,6 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          python-aptdaemon (= ${binary:Version})
-Recommends: lintian
 XB-Python-Version: ${python:Versions}
 Breaks: software-center (<< 1.1.21)
 Description: transaction based package management service
@@ -36,7 +35,7 @@
  .
  Currently it comes with the following main features:
  .
-  - Programming language independent D-Bus interface, which allows to
+  - Programming language independent D-Bus interface, which allows one to
     write clients in several languages
   - Runs only if required (D-Bus activation)
   - Fine grained privilege management using PolicyKit, e.g. allowing all
@@ -60,6 +59,7 @@
          python-defer,
          python-dbus,
          python-gobject,
+         python-pkg-resources,
          python-software-properties,
          policykit-1
 Recommends: aptdaemon
@@ -152,8 +152,8 @@
          ${python:Depends},
          python-aptdaemon (= ${binary:Version}),
          python-gobject (>= 2.27.91),
-         gir1.2-gtk-2.0 | gir1.2-gtk-3.0,
-         gir1.2-vte-0.0 | gir1.2-vte-2.90,
+         gir1.2-gtk-3.0,
+         gir1.2-vte-2.90,
          aptdaemon-data
 Conflicts: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
 Replaces: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
