## aptdaemon 0.43+bzr707

=== debian/changelog ===
aptdaemon (0.43+bzr707-1) unstable; urgency=low

  [ Julian Andres Klode ]
  * Merge with Ubuntu, remaining differences:
    - debian/control: Vcs, Maintainer changes.
  * Merge brings us:
    - New version (Closes: #644613)
    - Use of python2 instead of python-central (Closes: #616738)
  * Do not use dh-translations

  [ Sebastian Heinlein ]
  * New bzr snapshot:
    - Add the PackageKit compatibilty layer
  * debian/control:
    - Add new binary package python-aptdaemon.pkcompat
    - Correct VCS location
  * debian/python-aptdaemon:
    - Ship the networking module

 -- Julian Andres Klode <jak@debian.org>  Sun, 20 Nov 2011 14:49:48 +0100

aptdaemon (0.43+bzr703-0ubuntu1) precise; urgency=low

  * New bzr snapshot:
    - Merge the AddLicenseKey method
    - Replace the backported unittest2 framework by the native one of
      Python 2.7 and Nose to collect the tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 18 Nov 2011 12:03:22 +0100

aptdaemon (0.43+bzr701-0ubuntu1) precise; urgency=low

  * new bzr snapshot:
    - aptdaemon/progress.py: fix crash when a translation has the wrong 
      number of %s (LP: #858684)
    - Map messages from apt on the status-fd to enums to provide better 
      terms and translations in the future - fixes LP#641262
    - lp:~mpt/aptdaemon/bug-635138:
      * Fixes bug 635138 (Apt cache repair 'In Progress' text is 
        'Repairing broken deps').
  * debian/patches/02_fix_crash_on_dpkg_disappear.patch:
    - dropped, we are out of stringfreeze now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Nov 2011 09:26:01 +0100
