=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: aptdaemon
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
+Maintainer: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper (>= 7.3),
-               dh-translations,
                dbus,
                python,
                python-setuptools,
@@ -17,8 +15,8 @@
                python-software-properties
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/aptdaemon
-Vcs-Bzr: lp:~aptdaemon-developers/aptdaemon/ubuntu-oneiric
-Vcs-Browser: https://code.launchpad.net/~aptdaemon-developers/aptdaemon/ubuntu-oneiric
+Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/apt/aptdaemon/debian-sid
+Vcs-Browser: http://bzr.debian.org/loggerhead/apt/aptdaemon/debian-sid
 XS-Python-Version: >= 2.7
 
 Package: aptdaemon
@@ -122,6 +120,22 @@
  .
  You can remove it safely.
 
+Package: python-aptdaemon.pkcompat
+Architecture: all
+Section: python
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends},
+         python-aptdaemon (= ${binary:Version}),
+         python-packagekit,
+XB-Python-Version: ${python:Versions}
+Description: PackageKit compatibilty for AptDaemon
+ Aptdaemon is a transaction based package management daemon. It allows 
+ normal users to perform package management tasks, e.g. refreshing the 
+ cache, upgrading the system, installing or removing software packages.
+ .
+ This package adds a PackageKit DBus interface to AptDaemon.
+
 Package: python-aptdaemon.gtkwidgets
 Architecture: all
 Section: python
