## aptdaemon 0.43+bzr769

=== debian/changelog ===
aptdaemon (0.43+bzr769-1) unstable; urgency=low

  * New upstream snapshot
    - Works without pkcompat (Closes: #652644)
  * Merge with Ubuntu; remaining changes:
    - debian/control: Changes of Vcs, Maintainer stuff
    - Do not use dh-translations

 -- Julian Andres Klode <jak@debian.org>  Mon, 05 Mar 2012 16:03:14 +0100

aptdaemon (0.43+bzr769-0ubuntu1) precise; urgency=low

  * New upstream snapshot:
    - Add plugin support to PackageKit compat layer.
    - Port to gobject-introspection.
    - Various bug fixes.
  * debian/control: Update dependencies for GI.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 03 Feb 2012 06:37:42 +0100

aptdaemon (0.43+bzr756-0ubuntu1) precise; urgency=low

  [ Chris Coulson ]
  * After simulating a transaction, correctly disconnect from the 
    "transaction-simulated" signal
  
  [ Sebastian Heinlein ]
  * Catch exceptions in apt.debfile.DebFile.check()

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jan 2012 13:30:22 +0100

aptdaemon (0.43+bzr754-0ubuntu1) precise; urgency=low

  [ Martin Pitt ]
  * debian/control: debian/control: Move from transitional python-gobject to
    python-gi for GTK3 package.
  
  [ Michael Vogt ]
  * New bzr snapshot
  
  [ Robert Roth ]
  * Fix license typo (LP: #903911)
  * Change from up-to-date to up to date for consistency (LP: #864336)
  
  [ Sebastian Heinlein ]
  - Fix downgrade option of aptdcon
  - Add support for cancelling the transaction in PK
  - Fix changelog cache cleanup
  - Typo fixes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Dec 2011 10:15:46 +0100

aptdaemon (0.43+bzr742-0ubuntu1) precise; urgency=low

  * New bzr snapshot:
    - Fix resizing the GTK3 progress dialog (LP: #840942)
    - py3 exception compat fixes
    - fixes in pkcompat code
    - merged "pretty repo" branch with nicer progress information on
      cache updates
    - cache changelogs

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 01 Dec 2011 14:40:52 +0100

aptdaemon (0.43+bzr715-0) UNRELEASED; urgency=low

  * new bzr snapshot:
    - Add a small README about the state of the PackageKit compatibilty
    - Add support for the store_in_cache argument of PackageKit's
      DownloadPackages
    - Do an additional resolver run to ensure that autoremove does
      not leave the cache inconsistent 
  * debian/patches:
    - Remove 01_add_dpkg_untranslated_messages_env.patch (merged by upstream)
    - Remove 03_additional_resolve_run.patch (merged upstream)
  * debian/python-aptdaemon.pkcompat.docs: Ship README
  * debian/README.Debian: Removed since obsolete

 -- Sebastian Heinlein <devel@glatzor.de>  Mon, 21 Nov 2011 12:04:11 +0100

aptdaemon (0.43+bzr713-1) unstable; urgency=low

  * Merge with Ubuntu, remaining differences:
    - debian/control: Changes of Vcs, Maintainer stuff
    - Do not use dh-translations
  * New upstream snapshot (revision 713)

 -- Julian Andres Klode <jak@debian.org>  Mon, 21 Nov 2011 11:24:00 +0100

aptdaemon (0.43+bzr712-0ubuntu1) precise; urgency=low

  [ Michael Vogt ]
  * Merged from the latest debian upload
    (thanks Julian Andres Klode)
  
  [ Sebastian Heinlein ]
  * new bzr snapshot with:
    - pkcompat branch
    - async simulate
  * add new python-aptdaemon.pkgcompat package that provides the
    packagekit system API

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Nov 2011 10:08:24 +0100
