=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                python-debian,
                python-defer,
                python-dbus,
-               python-gobject,
+               python-gi,
+               gir1.2-glib-2.0,
                python-software-properties
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/aptdaemon
@@ -23,7 +24,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
-         python-aptdaemon (= ${binary:Version})
+         python-aptdaemon (= ${binary:Version}),
+         python-gi,
+         gir1.2-glib-2.0
 XB-Python-Version: ${python:Versions}
 Breaks: software-center (<< 1.1.21)
 Description: transaction based package management service
@@ -56,7 +59,8 @@
          python-debian,
          python-defer,
          python-dbus,
-         python-gobject,
+         python-gi,
+         gir1.2-glib-2.0,
          python-pkg-resources,
          python-software-properties,
          policykit-1
@@ -128,6 +132,7 @@
          ${python:Depends},
          python-aptdaemon (= ${binary:Version}),
          python-packagekit,
+Conflicts: packagekit
 XB-Python-Version: ${python:Versions}
 Description: PackageKit compatibilty for AptDaemon
  Aptdaemon is a transaction based package management daemon. It allows 
@@ -165,7 +170,7 @@
          ${misc:Depends},
          ${python:Depends},
          python-aptdaemon (= ${binary:Version}),
-         python-gobject (>= 2.27.91),
+         python-gi,
          gir1.2-gtk-3.0,
          gir1.2-vte-2.90,
          aptdaemon-data
